Subject: bug#21824: 25.0.50; overlay modification-hooks called with wrong buffer

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Nov 2015 17:23:41 +0200

> Date: Thu, 5 Nov 2015 22:14:28 -0500
> From: Noam Postavsky <[email-masked]>
> Cc: [email-masked]
> 
> Okay, turned out flycheck was basically irrelevant except that it
> calls message a lot. And highlight-parentheses' only significance is
> that it makes overlays all over the place. I have a simple reproducer,
> run as
> 
>      emacs -Q -l bug-21824.el -f 21824-trigger
> 
> The required circumstances appear to be that after a modification-hook
> has been run and there is an overlay in the *Messages* buffer, the
> message coalescing (the "[2 times]" thing) wrongly causes runs the
> modification-hook of the overlay in the 1st buffer, but with
> parameters from the  *Messages* buffer modification.

Thanks for this.  I didn't even need to run the test case to see the
problem very clearly.  (It sounds like a very old bug, as all the
pieces of the puzzle were not touched in at least 15 years.)

Please see if the original bug is solved by the latest master.

Btw, any idea how come overlays wound up in *Messages* in the original
scenario?

Thanks again for working on this.

I will see about adding a test for this tricky failure.